Module javafx.base
Package javafx.collections

# Interface SetChangeListener<E>

Type Parameters:
  `E` - the element type

All Known Implementing Classes:
  `WeakSetChangeListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SetChangeListener<E>
Interface that receives notifications of changes to an ObservableSet.

Since:
  JavaFX 2.1

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`SetChangeListener.Change<E>`
An elementary change done to an ObservableSet.

## Method Summary

Modifier and Type
Method
Description
`void`
`onChanged(SetChangeListener.Change<? extends E> change)`
Called after a change has been made to an ObservableSet.

## Method Details

### onChanged

void onChanged(SetChangeListener.Change<? extends E> change)
Called after a change has been made to an ObservableSet. This method is called on every elementary change (add/remove) once. This means, complex changes like removeAll(Collection) or clear() may result in more than one call of onChanged method.

Parameters:
  `change` - the change that was made